function hiro3_spm_reslice(iLayer)

global hiro3_mem;

flags = struct('interp',1,'mask',1,'mean',1,'which',2,'wrap',[1 1 0]');
P = hiro3_mem.layers{iLayer}.headerinfo;
d = [flags.interp*[1 1 1]' flags.wrap(:)];
[x1,x2] = ndgrid(1:P.dim(1),1:P.dim(2));

C = spm_bsplinc(P, d);
for x3 = 1:P.dim(3),
    [tmp,y1,y2,y3] = getmask(inv(P.mat\P.mat),x1,x2,x3,P.dim(1:3),flags.wrap);
    v              = spm_bsplins(C, y1,y2,y3, d);
    hiro3_mem.layers{iLayer}.data(:, :, x3) = v;
end;

function [Mask,y1,y2,y3] = getmask(M,x1,x2,x3,dim,wrp)
tiny = 5e-2; % From spm_vol_utils.c
y1   = M(1,1)*x1+M(1,2)*x2+(M(1,3)*x3+M(1,4));
y2   = M(2,1)*x1+M(2,2)*x2+(M(2,3)*x3+M(2,4));
y3   = M(3,1)*x1+M(3,2)*x2+(M(3,3)*x3+M(3,4));
Mask = logical(ones(size(y1)));
if ~wrp(1), Mask = Mask & (y1 >= (1-tiny) & y1 <= (dim(1)+tiny)); end;
if ~wrp(2), Mask = Mask & (y2 >= (1-tiny) & y2 <= (dim(2)+tiny)); end;
if ~wrp(3), Mask = Mask & (y3 >= (1-tiny) & y3 <= (dim(3)+tiny)); end;
return;
